[Pkg-javascript-commits] [node-chalk] 01/11: debian/mkorig - a simple tool for building tarballs from multiple sources in watch file

Jérémy Lal kapouer at moszumanska.debian.org
Sun Jul 27 17:21:18 UTC 2014


This is an automated email from the git hooks/post-receive script.

kapouer pushed a commit to branch master
in repository node-chalk.

commit 5a8ef057d203ff72f7777451c254068e4c6e8809
Author: Jérémy Lal <kapouer at melix.org>
Date:   Sun Jul 27 14:04:52 2014 +0200

    debian/mkorig - a simple tool for building tarballs from multiple sources in watch file
---
 debian/mkorig | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/debian/mkorig b/debian/mkorig
new file mode 100755
index 0000000..e01dfde
--- /dev/null
+++ b/debian/mkorig
@@ -0,0 +1,30 @@
+#!/bin/sh
+set -e
+set -x
+
+component=""
+version="$2"
+tarball="$3"
+
+if [ "" != "$4" -a "--upstream-version" = "$2" ]; then
+  component="$1"
+  version="$3"
+  tarball="$4"
+fi
+
+dir="./debian/mkorig-tmp"
+if [ "" != "$component" ]; then
+  cmpdir="$dir/$component"
+  mkdir -p $cmpdir
+  # extract tarball into component
+  tar --strip-components=1 -C "$cmpdir" -xvf "$tarball"
+  rm "$tarball"
+else
+  mkdir -p $dir
+  tar --strip-components=1 -C $dir -xvf "$tarball"
+  rm "$tarball"
+  tar czvf "$tarball" "$dir"
+  rm -rf "$dir"
+fi
+
+

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-javascript/node-chalk.git



More information about the Pkg-javascript-commits mailing list